A I Lab
List AI Lab tools
List every AI Lab tool with its description, file inputs (media), input JSON Schema (inputSchema) and option lists (choices).
Requires an API key with the read scope.
Authorization
bearerAuth AuthorizationBearer <token>
API key authentication. Create a key in your Account settings.
Pass the full key in the Authorization header:
Authorization: Bearer vsl_...Keys are shown only once at creation. Treat them like passwords.
In: header
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/ai-lab/tools"[ { "id": "recast", "title": "string", "summary": "string", "description": "string", "output": "video", "media": [ { "path": "string", "kind": "video", "accept": [ "string" ], "maxBytes": 0, "required": true, "maxCount": 0, "minSeconds": 0, "maxSeconds": 0, "label": "string", "notes": "string" } ], "inputSchema": {}, "choices": { "property1": [ { "id": "string", "label": "string", "detail": "string" } ], "property2": [ { "id": "string", "label": "string", "detail": "string" } ] } }]{ "error": { "code": "missing_api_key", "message": "string" }}{ "error": { "code": "missing_api_key", "message": "string" }}{ "error": { "code": "missing_api_key", "message": "string" }}